// ACM 2006
// Problem C. Customer support
// Sergio A. Fjodorov

//  ,      ;)

{$apptype console}

const
  MAX = 10000;

type
  TAnswer = record
    Id: integer;
    Idx: integer; //   ,    (, ,    )
    IsCorrect: boolean;
    IsExplained: boolean;
  end;
  TAnswerArray = array[1..MAX] of TAnswer;

procedure Sort(var Arr: TAnswerArray; L, R: integer);

  function cmpAnswers(const A, B: TAnswer): integer;
  begin
    Result := A.Id - B.Id;
    if Result = 0 then
      Result := A.Idx - B.Idx;
  end;

  procedure swap(AIdx, BIdx: integer);
  var
    t: TAnswer;
  begin
    t := Arr[AIdx];
    Arr[AIdx] := Arr[BIdx];
    Arr[BIdx] := t;
  end;

  procedure doSort(L, R: integer);
  var
    t: TAnswer;
    i, j: integer;
  begin
    if L >= R then exit;

    t := Arr[Random(R - L + 1) + L];

    i := L;
    j := R;
    while i < j do begin
      while cmpAnswers(Arr[i], t) < 0 do Inc(i);
      while cmpAnswers(Arr[j], t) > 0 do Dec(j);

      if i < j then
        swap(i, j);
    end;

    doSort(L, i - 1);
    doSort(i + 1, R);
  end;

begin
  doSort(L, R);
end;

var
  ans: TAnswerArray;
  n: integer;
  q, a, x: integer;
  correctCount: integer;
  i: integer;
  amount: integer;

begin
  Assign(input, 'input.txt');
  Assign(output, 'output.txt');
  Reset(input);
  Rewrite(output);

  Read(n);
  for i := 1 to n do begin
    Read(q, a, x);
    with ans[i] do begin
      Id := q;
      Idx := i;
      IsCorrect := a = 1;
      IsExplained := x = 1;
    end;
  end;

  Sort(ans, 1, n);

  amount := 0;

  i := 1;
  while i <= n do begin
    q := ans[i].Id;
    correctCount := 0;
    while (i <= n) and (ans[i].Id = q) do
      with ans[i] do begin
        if IsCorrect then Inc(correctCount);

        if IsCorrect and IsExplained then
          Inc(amount, 40)
        else if IsCorrect then
          Inc(amount, 20)
        else
          Inc(amount, 10);

        Inc(i);
      end;

    if correctCount > 1 then
      Inc(amount, (correctCount - 1) * 10);
  end;

  WriteLn(amount);

  Close(input);
  Close(output);
end.
